<?
require_header ('Служба тех.поддержки');
echo'<div class="content">
<div class="block">';

if(!isset($_GET['read'])){
if($ku['status']!=1 && $ku['status']!=3){
if(isset($_POST['text']))
{
$text=$_POST['text'];
if(strlen2($text)<1)echo err_game("Введите сообщение.");
else
{

mysql_query("INSERT INTO `kolhoz_ticket` SET `id_user` = '$ku[id]', `type` = '".my_esc($_POST['type'])."', `otdel` = '".my_esc($_POST['otdel'])."', `text` = '".my_esc($_POST['text'])."', `otvet` = '1', `time` = '".time()."'");

header("Location: /support");
$_SESSION['msg']='Ваше сообщение успешно отправлено в службу тех.поддержки';
exit;
}
}

echo'
<form method="post"><div
style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="mdp" value="'.$ku['mdp'].'"></div>
<ul>
<li>
<label>
<div>Тип заявки:</div>
<div><select name="type"><option selected="selected" value="1">Ошибка</option><option
value="2">Предложение</option><option
value="3">Вопрос</option></select></div>
</label>
<label>
<div>Отдел:</div>
<div><select name="otdel"><option selected="selected" value="1">Тех. поддержка</option><option
value="2">Администрация</option></select></div>
</label>
</li>
<li>
<label>
<div class="pt">Сообщение:</div>
<div><textarea class="wide" rows="5" name="text"></textarea></div>
</label>
</li>
<li>
<div style="font-size:0.6em">Внимание! Сообщение в тех. поддержку можно отправлять один раз в 3 часа.<br>
Тех. поддержка отвечает на вопросы, которые касаются игры "Супер Ферма"!</div>
</li>
<li>
<input type="submit" value="Отправить">
</li>
</ul>
</form>
</div>';
			}	else	{
if($ku['status']==1)$otdel=1; else if($ku['status']==3)$otdel=2; else {echo err_game("Произошла ошибка.");}
$q=mysql_query("SELECT * FROM `kolhoz_ticket` WHERE `otdel` = '$otdel' AND `otvet` = '1' ORDER BY `time` DESC") or die (mysql_error());

while($post=mysql_fetch_array($q))
{
echo '<a class="" href="/support/read-'.$post['id'].'"><span class="ticket">Заявка #'.$post['id'].'</span></a>'.on_k($post['id_user']).' <a class="" href="/user/'.$post['id_user'].'">'.nc($post['id_user']).'</a>';
}
}////////////////////////////Чтение///////////////////////////////
			}	else	{
$q=mysql_query("SELECT * FROM `kolhoz_ticket` WHERE `id` = '".my_esc($_GET['read'])."'") or die (mysql_error());
$post=mysql_fetch_array($q);
if($ku['status']!=1 && $ku['status']!=3 && $ku['id']!==$post['id_user'])echo err_game("Произошла ошибка.");
else{
echo "<ul><li><span class='minor'>От:</span> <span>".on_k($post['id_user'])."";

echo "<a class='' href='/user/$post[id_user]'>".nc($post['id_user'])."</a></span></li><li><div class='title'><p>".output_text($post['text'],$post['id_user'])."</p></div></li><li class='small minor'><span>".vremja($post['time'])."</span></li>";
echo"<form action='/support/read-$post[id]' method='post'><div>
<label>Ответ:<br/><textarea rows='5' class='wide' name='msg'></textarea></label></div><div><input type='submit' value='Отправить'></div></form>";

echo "<img width='16' height='16' src='images/icons/delete.png' alt='*'> <a href='mail/del-$post[id]/'>Удалить заявку</a></ul></div>";
}

}
 include_once 'inc/foot.php';